# https://github.com/docker-mailserver/docker-mailserver/blob/dfc2b3930871a3a04d7a13816588e4554c36319d/target/postfix/main.cf#L12

{% if (mailserver_public_host | community.dns.remove_registrable_domain) == "" %}
# without subdomain this mydestination needs to be set like this
# https://docker-mailserver.github.io/docker-mailserver/edge/faq/#can-i-use-a-nakedbare-domain-ie-no-hostname
mydestination = localhost.$mydomain, localhost
{% else %}
# with subdomain '{{ mailserver_public_host | community.dns.remove_registrable_domain }}' this mydestination needs to be set like this
# https://docker-mailserver.github.io/docker-mailserver/edge/faq/#can-i-use-a-nakedbare-domain-ie-no-hostname
mydestination = $myhostname, localhost.$mydomain, localhost
{% endif %}
